StatusDashboard
WebhooksInboundKeys

Revoke webhook key

Revoke an inbound webhook signing key.

View Markdown

DELETE /app/integrations/webhooks/inbound/keys/{keyId}

Permanently revokes a webhook signing key. Any inbound webhook requests signed with the revoked key will immediately begin failing signature verification.

Requires the integrations feature entitlement.


Path parameters

ParameterTypeDescription
keyIdstringThe ID of the webhook key to revoke.

Request

See API Basics for required headers.


Sample request

curl -X DELETE https://api.statusdashboard.com/app/integrations/webhooks/inbound/keys/wk_a1b2c3d4e5f6a7b8 \
  -H "Authorization: Bearer bcf847abf5c6:def456"

Sample response

Status: 204 No Content

No response body.


Error responses

StatusWhen
403Insufficient permissions, or the integrations feature is not enabled.
404No webhook key with that ID exists in the organization.

On this page

We use cookies

We use essential cookies to keep the site working, and optional analytics cookies to understand how it's used. Read our Privacy Policy.